Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1136317

Summary: ximagesrc returns black screen
Product: [Fedora] Fedora Reporter: Patrice FERLET <metal3d>
Component: gstreamer-plugins-goodAssignee: Benjamin Otte <otte>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 22CC: fraph24, hkotri, mclasen, otte, wtaymans
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: gstreamer1-plugins-good-1.5.2-2.fc23 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-08-03 04:29:34 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Attachments:
Description Flags
libXdamage-devel and libXfixes-devel added
none
f22 patch none

Description Patrice FERLET 2014-09-02 10:35:02 UTC
Description of problem:

Using ximagesrc gstreamer plugin (1.0) returns a black screen, as explained in gnome bug report https://bugzilla.gnome.org/show_bug.cgi?id=721220
Only on fedora.

Version-Release number of selected component (if applicable):

gst-launch-1.0 version 1.2.4
GStreamer 1.2.4

How reproducible:

Always if not using "remote=1" option.

Steps to Reproduce:

Return a black screen
gst-launch-1.0 ximagesrc ! videoconvert !  autovideosink

Ok but can have performance problems.

gst-launch-1.0 ximagesrc  remote=1 ! videoconvert !  autovideosink



Actual results:

A black screen as result

Expected results:

Without using remote=1 option, we should be able to have the Xorg capture in video sink

Additional info:

See https://bugzilla.gnome.org/show_bug.cgi?id=721220 . It seems that the package is compiled to not use shm.

Comment 1 Hisham Galal 2015-01-21 09:19:03 UTC
Bug still exists in Fedora 21 with the latest gstreamer1-plugins-good. Please fix.

Comment 2 dionney@hotmail.com 2015-02-15 02:07:27 UTC
Looking at the build logs for gstreamer1-plugins-good-1.4.5-1.fc21 on koji, I see the following:

checking for shmat... yes
checking for IceConnectionNumber in -lICE... no
checking X11/Xlib.h usability... yes
checking X11/Xlib.h presence... yes
checking for X11/Xlib.h... yes
checking for XFIXES... no
checking for XDAMAGE... no
configure: *** These plugins will be built: ximagesrc
configure: *** checking feature: X Shared Memory extension ***
checking for XShmAttach in -lXext... no
checking for XShmAttach in -lXextSam... no
configure: Checking libraries for plugins in ext/


Rebuilding the package locally, I get

checking for shmat... yes
checking for IceConnectionNumber in -lICE... yes
checking X11/Xlib.h usability... yes
checking X11/Xlib.h presence... yes
checking for X11/Xlib.h... yes
checking for XFIXES... yes
checking for XDAMAGE... yes
configure: *** These plugins will be built: ximagesrc

configure: *** checking feature: X Shared Memory extension ***
checking for XShmAttach in -lXext... yes

configure: Checking libraries for plugins in ext/


And ximagesrc actually records. 

Seems the build environment is missing something for XFIXES/XDAMAGE and SHM.

Comment 3 dionney@hotmail.com 2015-02-16 13:12:31 UTC
Having libXext-devel installed correct the XShmAttach message.

Having libXdamage-devel and libXfixes-devel installed correct corresponding messages.

No idea if they should be added as a build dependency; ximagesrc works correctly if they are installed before building.

Comment 4 Fedora End Of Life 2015-05-29 12:47:09 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Hisham Galal 2015-05-29 13:17:35 UTC
Bug persists in Fedora 22. Please bump the version number to keep the issue open until it's resolved.

Comment 6 Fedora End Of Life 2015-06-29 22:22:04 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Francesco Frassinelli (frafra) 2015-07-18 12:54:38 UTC
Created attachment 1053355 [details]
libXdamage-devel and libXfixes-devel added

This patch fix the bug for me. It also allows to capture the cursor.

F24/Rawhide build: http://koji.fedoraproject.org/koji/taskinfo?taskID=10402037
F22 build: http://koji.fedoraproject.org/koji/taskinfo?taskID=10402145

Comment 8 Francesco Frassinelli (frafra) 2015-07-18 12:55:17 UTC
Created attachment 1053356 [details]
f22 patch

Comment 9 Patrice FERLET 2015-07-30 08:59:54 UTC
Hi,

I wonder why it's not already in F22 - I created this BR for F20. 

Any problem to validate the patched version ?

AFAIK the problem persists in f22 (I tested). Without this, it's impossible to use ximagesrc with "endy" and "endx" options to split capture (for example to not get 2 screens while using a dual-screen). Because "remote=1" shoots this options.

Any chance to get fixed package as update ?

Comment 10 Francesco Frassinelli (frafra) 2015-07-30 10:44:40 UTC
I kindly ask you for a maintainer response.
If it will now work, I'll follow https://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers

Comment 11 Wim Taymans 2015-07-30 10:58:00 UTC
I will add the patch.

Comment 12 Fedora Update System 2015-07-30 13:25:52 UTC
gstreamer1-plugins-good-1.4.5-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gstreamer1-plugins-good-1.4.5-3.fc21

Comment 13 Fedora Update System 2015-07-30 13:26:22 UTC
gstreamer1-plugins-good-1.4.5-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/gstreamer1-plugins-good-1.4.5-3.fc22

Comment 14 Fedora Update System 2015-07-30 13:27:50 UTC
gstreamer1-plugins-good-1.5.2-2.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/gstreamer1-plugins-good-1.5.2-2.fc23

Comment 15 Fedora Update System 2015-07-30 17:30:30 UTC
Package gstreamer1-plugins-good-1.5.2-2.fc23:
* should fix your issue,
* was pushed to the Fedora 23 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gstreamer1-plugins-good-1.5.2-2.fc23'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-12389/gstreamer1-plugins-good-1.5.2-2.fc23
then log in and leave karma (feedback).

Comment 16 Patrice FERLET 2015-08-02 13:50:36 UTC
Thanks a lot.

I commented the build for F22 (that I tested) and it works as excpected. I cannot test F23 at this time.

Comment 17 Fedora Update System 2015-08-03 04:29:34 UTC
gstreamer1-plugins-good-1.4.5-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-08-10 10:02:30 UTC
gstreamer1-plugins-good-1.5.2-2.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.